package com.ssj.bean.sys.parent.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author yangcan
 * 类描述:学能培优教材表
 * 创建时间:2020/4/20 13:52
 */
@Entity
@Table(name = "ssj_peiyou_book")
public class SSJPeiyouBook extends BaseEntity {

	private static final long serialVersionUID = 1L;

	private String courseName; //科目
	private String grade; //年级
	private String bookName; //教材版本，北师大版， 教科版，沪教版
	private String unit; //单元(语文)/主题(英语)/单元(数学)
	private String secondUnit; //课文(语文)/攀登话题(英语)/知识点(数学)
	private int difficultyLevel; //难易级别：1(易)，2(中)，3(难)
	private String studentBookPath; //学生版教材文件路径
	private String teacherBookPath; //老师版教材文件路径
    private Date createTime;//创建时间


    @Column(name = "course_name")
    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    @Column(name = "grade")
    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    @Column(name = "book_name")
    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    @Column(name = "unit")
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Column(name = "second_unit")
    public String getSecondUnit() {
        return secondUnit;
    }

    public void setSecondUnit(String secondUnit) {
        this.secondUnit = secondUnit;
    }

    @Column(name = "difficulty_level")
    public int getDifficultyLevel() {
        return difficultyLevel;
    }

    public void setDifficultyLevel(int difficultyLevel) {
        this.difficultyLevel = difficultyLevel;
    }

    @Column(name = "student_book_path")
    public String getStudentBookPath() {
        return studentBookPath;
    }

    public void setStudentBookPath(String studentBookPath) {
        this.studentBookPath = studentBookPath;
    }

    @Column(name = "teacher_book_path")
    public String getTeacherBookPath() {
        return teacherBookPath;
    }

    public void setTeacherBookPath(String teacherBookPath) {
        this.teacherBookPath = teacherBookPath;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
